/* GLOBAL PAGE SETTINGS */
* {margin: 0; padding: 0; box-sizing: border-box;}
:root {
    --button-1: 10em; --button-2: 15em;--button-3: 20em;--button-4: 25em;
    --fs-1: 1rem; --fs-2: 2rem; --fs-3: 3rem; --fs-4: 4rem;
    --height-1: 2dvh; --height-2: 4dvh; -height-3: 6dvh; --height-4: 8dvh;
    --margin-1: 1dvw; --margin-2: 2dvw; --margin-3: 6dvw; --margin-4: 8dvw;
    --padding-1: 2dvw; --padding-2: 4dvw; --padding-3: 6dvw; --padding-4: 8dvw;
    --width-1: 2dvw; --width-2: 4dvw; --width-3: 6dvw; --width-4: 8dvw;--width-5: 10dvw;--width-6: 12dvw;
    --s: .5dvw; --c:darkgrey 70% 35%; --d: blue;
    --main-color: red; --secondary-color: lightgreen;  --txt-color: aliceblue;
    --img-bg-color: rgba(240, 240, 240, 0.9);
    /* --bg-color: repeating-linear-gradient(45deg, rgba(231, 222, 222, 0.52) 5%, rgba(17, 238, 146, 0.048) 10%), repeating-linear-gradient(-45deg, rgba(104, 112, 117, 0.753) 5%, rgba(221, 199, 215, 0.068) 10%); */
}
html{scroll-behavior: smooth;}
body {font-family: system-ui, apple-system, sans-serif; color:#333; margin: 0; padding: 0; box-sizing: border-box; overscroll-behavior-y: contain; }

/* container general settings */
#container{position: relative; box-sizing: border-box; display: grid; grid-template-columns: repeat(auto-fit, minmax(auto-fill, 1fr)); grid-auto-rows: minmax(3dvh, auto); grid-auto-flow: column; max-width: 200rem; width: 100%; height: auto; margin-inline: auto ; overflow: auto; will-change: scroll-position; outline: 1dvw solid lightgreen; }
#container{container-type: inline-size; container-name: parent;}

/* grid layout*/
#heading{grid-column:1/5;grid-row:1/2; }
.info{grid-column: 1/5; grid-row: 2/3}
.china{grid-column: 1/5; grid-row:3/4}
footer{grid-column:1/5; grid-row:4/5;}

/*** HEADING settings ***/
#heading{display: grid; grid-template-columns: 14% 85%; max-width: 200rem; width: 100%; max-height: 15dvh; height: auto;}
#heading{--s: 1dvw; --c: lightgrey; --_s: calc(2*var(--s)) calc(2*var(--s)); --_g: 35.36% 35.36% at; --_c: #0000 66%,black 40% 70%, #0000 72%; background: radial-gradient(var(--_g) 100% 25%,var(--_c)) var(--s) var(--s)/var(--_s), radial-gradient(var(--_g) 0 75%,var(--_c)) var(--s) var(--s)/var(--_s),  radial-gradient(var(--_g) 100% 25%,var(--_c)) 0 0/var(--_s), radial-gradient(var(--_g) 0 75%,var(--_c)) 0 0/var(--_s), repeating-conic-gradient(var(--c) 0 25%,#0000 0 50%) 0 0/var(--_s), radial-gradient(var(--_c)) 0 calc(var(--s)/2)/var(--s) var(--s) var(--c); }

/* navigation section formatting*/
#menu button{position: fixed; max-width: 7%; width: 100%; height: 5%; background:skyblue; opacity:1; color:white; box-shadow:inset 0 0 0 1px black; border:0.2dvw solid white; display: flex; justify-content: center; align-items: center; border-radius: 1dvw; margin-block: 5dvh; z-index: 10;}
#menu button a{width: 100%; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem); }
#menu button:hover{background:grey; color:aliceblue; box-shadow:inset 0 0 0 1px white; border:0.2dvw solid black; cursor: pointer;}
/* formatting header */
header{width: 55dvw;  height: 15dvh; }
header h1{position: relative; display: flex; flex-flow: row nowrap; justify-content: center; align-items: center; width: 50%; margin-inline: 30%;  margin-block: 2%; color: blue; font-size: clamp(1rem, calc(var(--fs-3)*1.5), 5rem); text-align: center;  animation: infinite linear 30s styling; z-index: 99; }
@keyframes styling{
    0%{ translate: 0dvw 0dvw  1dvw; color: black; }
    25%{ translate: -.4dvw -1dvw 2dvw; color:blue; }
    50%{ translate: 0dvw 0dvw 3dvw; color: red;}
    75%{ translate: .4dvw 1dvw 2dvw; color: navy; }
    100%{ translate: 0dvw 0dvw 1dvw; color: black;}
}

/* 2 - formatting the info section */
.info{ color: darkblue; font-size: calc(var(--fs-1)*1.2); font-weight: bold;margin-block: 1dvw; margin-inline: 1dvw; }

/* 3 - formatting the China section*/
.china{display: grid; grid-template-columns: repeat(5, 1fr); width: 100%; height: 100%; margin-left: 0.1dvw; row-gap: 1dvw;}
.region{display: flex; flex-flow: column wrap; width: 100%; height: 40dvh; border: 0.25dvw double saddlebrown; align-content: center; justify-content: center;}
.region p{color: red; font-size: var(--fs-2); font-weight:bold; }
img{width: 10dvw; height: 30dvh; transition: all 2s ease-out;}
img:hover{transform: scale(1.1) translateY(1dvw);}


/** SETTINGS FOR OTHER DEVICES AND OTHER SIZES**/

/*max-width: 107rem = 1,712px */
@media only screen and (96rem <= width <= 107rem){
   #menu button{max-width: 15%; font-size:clamp(1rem, calc(var(--fs-2)*1), 3rem);; height: 4%;}
   #heading{height: 15dvh;}
   .lw-container{position: relative; width: 100%; max-height: auto; height: 100%;}
   .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
   .region p{font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);;}
   .region a img{width: 20dvw; aspect-ratio: 1 / 1;}

}

/*max-width: 96rem = 1,528px */
@media only screen and (85rem <= width <= 96rem){
    #menu button{max-width: 12%; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);}
    header h1{font-size: clamp(1rem, calc(var(--fs-4)*2), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(1rem, calc(var(--fs-2)*0.85), 3rem);}
    .region a img{width: 15dvw; height: 25dvh;}
}


/* max-width: 85rem = 1,360px */
@media screen and (75rem <= width <= 85rem) {
   #menu button{max-width: 12%; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);}
    header h1{font-size: clamp(1rem, calc(var(--fs-4)*2), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(1rem, calc(var(--fs-2)*0.85), 3rem);}
    .region a img{width: 15dvw; height: 25dvh;}
}

/* max-width: 75rem = 1,200px */
@media screen and (65rem <= width <= 75rem) {
    #menu button{max-width: 12%; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);}
    header h1{font-size: clamp(1rem, calc(var(--fs-4)*2), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(1rem, calc(var(--fs-2)*0.85), 3rem);}
    .region a img{width: 15dvw; height: 25dvh;}
}

 /* max-width : 65rem  = 1,040px */
 @media screen and (55rem <= width <= 65rem) {
    #menu button{max-width: 15%; height: 8dvh; font-size: clamp(1rem, calc(var(--fs-2)*0.5), 2rem);}
    #heading{height: 15dvh;}
    header h1{font-size: clamp(1rem, calc(var(--fs-2)*1.5), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .info{ font-size: clamp(1rem, calc(var(--fs-2)*0.5), 2rem); }
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(0.5rem, calc(var(--fs-1)*0.85), 1.5rem);}
    .region a img{width: 15dvw; height: 25dvh;}
}

/* max-width: 55rem =  880px */
 @media screen and (45rem <= width <= 55rem){
    #menu button{max-width: 12%; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);}
    header h1{font-size: clamp(1rem, calc(var(--fs-4)*2), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(1rem, calc(var(--fs-2)*0.85), 3rem);}
    .region a img{width: 15dvw; height: 25dvh;}
 }

/* max-width: 45rem =  720px */
 @media screen and (35rem <= width <= 45rem){
    #menu button{max-width: 12%; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);}
    header h1{font-size: clamp(1rem, calc(var(--fs-4)*2), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(1rem, calc(var(--fs-2)*0.85), 3rem);}
    .region a img{width: 15dvw; height: 25dvh;}
 }

/* max-width: 35rem =  560px */
 @media screen and (25rem <= width <= 35rem){
   #menu button{max-width: 12%; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);}
    header h1{font-size: clamp(1rem, calc(var(--fs-4)*2), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(1rem, calc(var(--fs-2)*0.85), 3rem);}
    .region a img{width: 15dvw; height: 25dvh;}
 }

/* max-width: 25rem =  400px */
 @media screen and (20rem <= width <= 25rem){
    #menu button{max-width: 12%; height: 6dvh; font-size: clamp(1rem, calc(var(--fs-2)*1), 3rem);}
    header h1{font-size: clamp(1rem, calc(var(--fs-4)*2), 4rem); margin-top: 3%; margin-left: 15dvw;}
    .china{grid-template-columns: repeat(4, 1fr); gap: 0.2dvw;}
    .region p{font-size:clamp(1rem, calc(var(--fs-2)*0.85), 3rem);}
    .region a img{width: 15dvw; height: 25dvh;}
 }

